Skip to main content
GET
/
v1
/
monitors
List Monitors
import requests

url = "https://api.parallel.ai/v1/monitors"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "monitors": [
    {
      "type": "event_stream",
      "monitor_id": "<string>",
      "status": "active",
      "frequency": "<string>",
      "processor": "lite",
      "created_at": "2023-11-07T05:31:56Z",
      "settings": {
        "query": "<string>",
        "output_schema": {
          "json_schema": {},
          "type": "json"
        },
        "include_backfill": true,
        "advanced_settings": {
          "source_policy": {
            "exclude_domains": [
              "reddit.com",
              "x.com",
              ".ai"
            ],
            "include_domains": [
              "wikipedia.org",
              "usa.gov",
              ".edu"
            ]
          },
          "location": "us"
        }
      },
      "webhook": {
        "url": "<string>",
        "event_types": [
          "monitor.event.detected"
        ]
      },
      "metadata": {
        "slack_thread_id": "1234567890.123456",
        "user_id": "U123ABC"
      },
      "last_run_at": "2025-01-15T10:30:00Z",
      "output": {
        "latest_snapshot": {
          "basis": [
            {
              "field": "<string>",
              "reasoning": "<string>",
              "citations": [],
              "confidence": "low"
            }
          ],
          "type": "<string>",
          "content": "<string>",
          "mcp_tool_calls": [
            {
              "tool_call_id": "<string>",
              "server_name": "<string>",
              "tool_name": "<string>",
              "arguments": "<string>",
              "content": "<string>",
              "error": "<string>"
            }
          ],
          "beta_fields": {}
        }
      }
    }
  ],
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.parallel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Query Parameters

cursor
string | null

Pagination token from next_cursor in a previous response. Omit to start from the most recently created monitor.

limit
integer | null

Maximum number of monitors to return. Defaults to 100. Between 1 and 10000.

Required range: 1 <= x <= 10000
type
enum<string>[] | null

Filter by monitor type. Pass multiple times to filter by multiple values. Omit to return all types.

Available options:
event_stream,
snapshot
status
enum<string>[] | null

Filter by monitor status. Pass multiple times to filter by multiple values. Defaults to active only.

Available options:
active,
cancelled

Response

Paginated list of monitors.

Paginated list of monitors.

monitors
MonitorResponse · object[]
required

List of monitors for the current page.

next_cursor
string | null

Opaque pagination token. Pass as cursor to retrieve the next page. Absent when there are no more pages.